Subject: Re: bug#25691: locale generation is broken

From: ng0 <[email-masked]>
Date: Sun, 12 Feb 2017 10:38:07 +0000

On 17-02-11 22:42:57, ng0 wrote:
> On 17-02-11 22:15:30, Ludovic Courtès wrote:
> > ng0 <[email-masked]> skribis:
> > 
> > > On two systems, even after make clean and ./bootstrap again I ran into
> > > this at the end of guix system build foo.scm:
> > >
> > >
> > >    /gnu/store/w8xrphf4r4wwc3q7wy975b9mc6fsf7nf-python2-pycairo-1.10.0.drv
> > >    /gnu/store/a13pjhfrjldnp2zkr0qkbm70llmrdc41-wicd-1.7.4.drv
> > >    /gnu/store/nj0bh3x8fzhvfdpbzz7facv86viq06nv-activate-service.drv
> > >    /gnu/store/07l0msymh88c9ngly78w0azymrvwy16k-module-import.drv
> > >    /gnu/store/6yv8z6hzzy87l9c8spgjbxy2mfv5r8fl-module-import-compiled.drv
> > >    /gnu/store/l63rv3nij0314g17yb856zcss222ml1n-firmware.drv
> > >    /gnu/store/2ymzg5nxsajg8jqxp65dip3h4lkrbslq-activate-service.drv
> > >    /gnu/store/0ymys3hc3d3f1wwgsywnirghcd2qa8hg-activate-service.drv
> > >    /gnu/store/pr76b48cy0jd50p343svw9jgnq86jbf5-module-import-compiled.drv
> > >    /gnu/store/rg5gfw2c1qjxx2cxyzkycs1gna428qh2-module-import.drv
> > >    /gnu/store/1slls8g5j9xh4498jdyipl16y9p5p0i3-activate.drv
> > >    /gnu/store/7gmmqal7fryccg6sim6vlr594qn50j1b-shepherd-0.3.2.drv
> > >    /gnu/store/4q2wfywxdv2f6ym4qq3ipm57a5xjapgm-boot.drv
> > >    /gnu/store/4q5b40jrg5l23f40kmds98jck8vwr4z3-base-initrd.drv
> > >    /gnu/store/lh3w7dgkv5hiy5cmkp5is9bn8gjnyy3i-etc.drv
> > > cannot open locale definition file `en_US': No such file or directory
> > > building locale 'en_US.UTF-8'...
> > 
> > I can’t seem to reproduce it.  Could you send a reduced OS config that
> > reproduces this?
> > 
> > Thanks,
> > Ludo’.
> 
> 
> Okay. Do you know what's the best way to simplify the disks part of the
> config? Is it okay if I just use what our system tests use?
> 
> I'll wait for your reply and send the config then.
> -- 
> ng0 -- https://www.inventati.org/patternsinthechaos/

I'm not impatient, I just did a check on a third computer which differs
from the other two. I was able to rule out that the set of services is
to blame, the only lines they share is this:

(locale-libcs (list glibc-2.23 (canonical-package glibc))) 
(locale "en_US.UTF-8")

The rest, excluding the (users) is completely different on each system.
All configs used to work, I even updated the systems ~1.5 weeks ago.

-- 
ng0 -- https://www.inventati.org/patternsinthechaos/